package cn.axzo.msg.center.inside.notices.event;

import cn.axzo.msg.center.domain.dto.PlatDeptLogDto;
import com.google.common.collect.Lists;
import org.springframework.context.ApplicationEvent;

import java.util.List;

/**
 * 分包机构创建事件对象
 *
 * @author: wangli
 * @date: 2021/10/28 14:06
 */
public class PlatDepLogEvent extends ApplicationEvent {

    private List<PlatDeptLogDto> datas;

    private Long acctId;

    public PlatDepLogEvent(Object o, List<PlatDeptLogDto> datas, Long acctId) {
        super(o);
        this.datas = datas;
        this.acctId = acctId;
    }

    public List<PlatDeptLogDto> getDatas(){

        if(datas==null){
            this.datas = Lists.newArrayList();
        }

        return this.datas;
    }

    public Long getAcctId(){
        return this.acctId;
    }

}
